Subject: Re: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Thiago Jung Bauermann <[email-masked]>
Date: Fri, 29 Oct 2021 01:26:38 -0300

Hello again,

Em quarta-feira, 27 de outubro de 2021, às 13:26:37 -03, Thiago Jung 
Bauermann escreveu:
> Hello Maxim,
> 
> Em quarta-feira, 27 de outubro de 2021, às 12:37:21 -03, Maxim Cournoyer 
escreveu:
> > I'm hoping that with the reduced Rust bootstrap chain that starts with
> > 1.39 and uses newer components, it may finally be more accessible to
> > other architectures.
> 
> There’s an unmerged PR for mrustc adding support for ppc64 but I haven’t
> tried it:
> 
> https://github.com/thepowersgang/mrustc/pull/159[1]
> 
> Accessing the link now, I see that someone reported being able to
> bootstrap rustc 1.29 on powerpc64le-linux with it!  \o/
> 
> I’ll try it out within the next couple of days and send a patch if it
> works.

Unfortunately it doesn’t work. :-/  I even tried the workaround mentioned 
in the pull request (i.e., reverting commit b9b23c5), but mrustc terminates 
with signal 7 (SIGBUS).

I’ll dig some more.

-- 
Thanks,
Thiago